﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace UsingStandardControls
{
    public partial class ListBoxExample : UserControl
    {
        public ListBoxExample()
        {
            InitializeComponent();
            PopulateList();
        }

        private void PopulateList()
        {
            StackPanel sp;
            for (int i = 3; i < 10; i++)
            {
                sp = new StackPanel();
                Image image = new Image();
                BitmapImage btImage = 
                    new BitmapImage(
                    new Uri("/UsingStandardControls;component/Images/img"+i+".jpg", 
                        UriKind.Relative));
                image.Source = btImage;
                TextBlock tb = new TextBlock();
                tb.Text = "img" + i + ".ipg";
                sp.Children.Add(image);
                sp.Children.Add(tb);
                listBox2.Items.Add(sp);
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            foreach (ListBoxItem item in listBox1.SelectedItems)
                textBox1.Text += item.Content + ", ";
        }

        private void listBox2_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            StackPanel result = (StackPanel)listBox2.SelectedItem;
            image1.Source = ((Image)(result.Children[0])).Source;
        }
    }
}
